Skip to content
Everruns Cloud is open in early access. Run agents without operating the platform.

List your good and bad ratings of the messages in a session.

GET
/v1/sessions/{session_id}/feedback
curl --request GET \
--url https://app.everruns.com/api/v1/sessions/example/feedback
session_id
required
string

Prefixed public identifier

Success

Media typeapplication/json
Array<object>

The caller’s rating of one message.

object
comment

Optional note kept with the rating.

string | null
message_id
required

Message the rating is for (msg_...).

string
rating
One of:

good, bad, or null when the rating was cleared.

string
Allowed values: good bad
updated_at
required

When the rating was last set or cleared.

string format: date-time
Example
[
{
"message_id": "msg_01933b5a00007000800000000000001",
"rating": "good"
}
]

Session not found